#ifndef Map_H
#define Map_H

#include <Bild.h>
#include "Spieler.h"

using namespace Framework;

class Map
{
private:
	RCArray< Spieler > *gegner;
	RCArray< Spieler > *ziele;
	Spieler *spieler;
	LRahmen *feld;
	LRahmen *kam;
	LRahmen *map;
	int kamX;
	int kamY;
	int score;
	int breite;
	int hhe;
	int geschwindigkeit;
	int zAnzahl;
	int neuGegner;
	bool beendet;
	bool sr;
	int ref;

public:
	// Konstruktor
	Map();
	// Destruktor
	~Map();
	// nicht constant
	void reset();
	void doMausEreignis( MausEreignis &me );
	void doTastaturEreignis( TastaturEreignis &te );
	bool tick( double tickVal );
	void render( Bild &zRObj );
	// constant
	void speichern() const;
	int getScore() const;
	bool istBeendet() const;
	// Reference Counting
	Map *getThis();
	Map *release();
};

#endif